using System;
using System.Collections.Generic;
using System.Text;

namespace Heckel.EasyTools.Diagramming
{
    [Serializable()]
    public class NodeRepositionEventArgs: EventArgs
    {
        private int _x;
        public int X
        {
            get { return _x; }
            set { _x = value; }
        }

        private int _y;
        public int Y
        {
            get { return _y; }
            set { _y = value; }
        }

        private string _nodeName;
        public string NodeName
        {
            get { return _nodeName; }
            set { _nodeName = value; }
        }

        private int _nodeUniqueIdentifier;
        public int NodeUniqueIdentifier
        {
            get { return _nodeUniqueIdentifier; }
            set { _nodeUniqueIdentifier = value; }
        }

        public NodeRepositionEventArgs(string nodeName, int nodeUniqueIdentifier, int x, int y)
        {
            _nodeName = nodeName;
            _nodeUniqueIdentifier = nodeUniqueIdentifier;
            _x = x;
            _y = y;
        }    
    }
}
